kompendium
2.0.3
2.0.4 2.0.3 2.0.2 2.0.1

# AnySerializer

class AnySerializer < T : Any > : KSerializer< T >
Content copied to clipboard

## Functions

deserialize
Link copied to clipboard
open override fun deserialize (decoder: Decoder): T
Content copied to clipboard
serialize
Link copied to clipboard
open override fun serialize (encoder: Encoder, value: T )
Content copied to clipboard
fun serialize (encoder: Encoder, obj: T , clazz: KClass < T >)
Content copied to clipboard

## Properties

descriptor
Link copied to clipboard
open override val descriptor : SerialDescriptor
Content copied to clipboard